// Prevents additional console window on Windows in release, DO NOT REMOVE!!
#![cfg_attr(not(debug_assertions), windows_subsystem = "windows")]

fn main() {
    #[cfg(any(target_os = "linux", target_os = "macos", target_os = "windows"))]
    haystack_lib::desktop();

    #[cfg(any(target_os = "ios", target_os = "android"))]
    haystack_lib::mobile();
}
